package pipeline.fragment;

import pipeline.misc.Fragment;
import pipeline.misc.FrameBuffer;

/**
 * This FP does a texture lookup rather to determine the color of a fragment.
 * It also uses the z-buffering technique to draw the correct fragment.
 * @author ags
 */
public class TexturedFP extends FragmentProcessor {
    
    /**
     * @see FragmentProcessor#nAttr()
     */
    public int nAttr() {
        return 0;
    }
    
    /**
     * @see FragmentProcessor#fragment(Fragment, FrameBuffer)
     */
    public void fragment(Fragment f, FrameBuffer fb) {
    }

}